IOSS 2.0

Classes | Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
Json::Value::CZString Class Reference

## Classes
struct | StringStorage

## Public Types
enum | DuplicationPolicy { noDuplication = 0, duplicate, duplicateOnCopy }

## Public Member Functions
| CZString (ArrayIndex index)
| CZString (char const *str, unsigned length, DuplicationPolicy allocate)
| CZString (CZString const &other)
| ~CZString ()
CZString & | operator= (CZString other)
bool | operator< (CZString const &other) const
bool | operator== (CZString const &other) const
ArrayIndex | index () const
char const * | data () const
unsigned | length () const
bool | isStaticString () const

## Private Member Functions
void | swap (CZString &other)

## Private Attributes
char const * | cstr_
union {
ArrayIndex index_
StringStorage storage_
}; |

## Member Enumeration Documentation

## ◆ DuplicationPolicy

enum Json::Value::CZString::DuplicationPolicy

Enumerator
noDuplication |
duplicate |
duplicateOnCopy |

## Constructor & Destructor Documentation

## ◆ CZString() [1/3]

Json::Value::CZString::CZString | ( | ArrayIndex | index | ) |

## ◆ CZString() [2/3]

Json::Value::CZString::CZString | ( | char const * | str,
|  | unsigned | length,
|  | DuplicationPolicy | allocate
| ) |  |

## ◆ CZString() [3/3]

Json::Value::CZString::CZString | ( | CZString const & | other | ) |

## ◆ ~CZString()

Json::Value::CZString::~CZString | ( |  | ) |

## Member Function Documentation

## ◆ data()

char const* Json::Value::CZString::data | ( |  | ) | const

## ◆ index()

ArrayIndex Json::Value::CZString::index | ( |  | ) | const

## ◆ isStaticString()

bool Json::Value::CZString::isStaticString | ( |  | ) | const

## ◆ length()

unsigned Json::Value::CZString::length | ( |  | ) | const

## ◆ operator<()

bool Json::Value::CZString::operator< | ( | CZString const & | other | ) | const

## ◆ operator=()

CZString& Json::Value::CZString::operator= | ( | CZString | other | ) |

## ◆ operator==()

bool Json::Value::CZString::operator== | ( | CZString const & | other | ) | const

## ◆ swap()

void Json::Value::CZString::swap | ( | CZString & | other | ) |
| private

## Member Data Documentation

## ◆ @6

union { ... }

## ◆ cstr_

char const* Json::Value::CZString::cstr_
| private

## ◆ index_

ArrayIndex Json::Value::CZString::index_

## ◆ storage_

StringStorage Json::Value::CZString::storage_

The documentation for this class was generated from the following file:

- src/visualization/ParaViewCatalystIossAdapter/parser/jsoncpp-master/dist/json/json.h